List orders for a bundle
curl --request GET \
--url https://{subdomain}.truust.io/2.0/bundles/{bundle_id}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.truust.io/2.0/bundles/{bundle_id}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.truust.io/2.0/bundles/{bundle_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"last_page": 5,
"per_page": 15,
"total": 73,
"from": 1,
"to": 15,
"data": [
{
"id": 123,
"self": "/2.0/orders/1234",
"public_id": "<string>",
"name": "<string>",
"description": "<string>",
"value": 123,
"fee_value": 123,
"fee_percent": 123,
"currency": "EUR",
"amount": "150.00 €",
"payin_amount": "<string>",
"payout_amount": "<string>",
"fee_amount": "<string>",
"shipping_amount": "<string>",
"buyer_link": "<string>",
"seller_link": "<string>",
"qr_link": "<string>",
"sandbox": true,
"status_nicename": "<string>",
"images": [
"<string>"
],
"tag": "<string>",
"payin_intents": 123,
"payin_types": [
"<string>"
],
"payin_fallback": [
"<string>"
],
"metadata": {},
"template": {},
"published_units": 123,
"refund": {
"status": "<string>",
"reference_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z",
"shipping_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"validated_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"connections": {}
}
]
}Bundles
List Orders for a Bundle
Returns a paginated list of orders associated with the specified bundle.
GET
/
bundles
/
{bundle_id}
/
orders
List orders for a bundle
Authorizations
Use your account's Secret Key as the Bearer token.
Path Parameters
Bundle ID.
Query Parameters
Page number for pagination.
Required range:
x >= 1Number of results per page.
Required range:
1 <= x <= 100⌘I
